import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientStatusSchema } from '../enums/PatientStatus.schema'

const nestedenumpatientstatusfilterSchema = z.object({
  equals: PatientStatusSchema.optional(),
  in: PatientStatusSchema.array().optional(),
  notIn: PatientStatusSchema.array().optional(),
  not: z.union([PatientStatusSchema, z.lazy(() => NestedEnumPatientStatusFilterObjectSchema)]).optional()
}).strict();
export const NestedEnumPatientStatusFilterObjectSchema: z.ZodType<Prisma.NestedEnumPatientStatusFilter> = nestedenumpatientstatusfilterSchema as unknown as z.ZodType<Prisma.NestedEnumPatientStatusFilter>;
export const NestedEnumPatientStatusFilterObjectZodSchema = nestedenumpatientstatusfilterSchema;
